PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
plask::optical::effective::EffectiveFrequencyCyl::MatrixZ Struct Reference

`#include <solvers/optical/effective/efm.hpp>`

Collaboration diagram for plask::optical::effective::EffectiveFrequencyCyl::MatrixZ:
[legend]

## Public Member Functions
| MatrixZ ()=default
| MatrixZ (dcomplex t1, dcomplex t2, dcomplex t3, dcomplex t4)
MatrixZ | operator* (const MatrixZ &T)
FieldZ | operator* (const FieldZ &v)
FieldZ | solve (const FieldZ &v)

## Static Public Member Functions
static MatrixZ | eye ()
static MatrixZ | diag (dcomplex f, dcomplex b)

## Public Attributes
dcomplex | ff
dcomplex | fb
dcomplex | bf
dcomplex | bb

## Detailed Description

Definition at line 51 of file efm.hpp.

## Constructor & Destructor Documentation

## ◆ MatrixZ() [1/2]

plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::MatrixZ | ( |  | ) |
| default

## ◆ MatrixZ() [2/2]

plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::MatrixZ | ( | dcomplex | t1,
|  | dcomplex | t2,
|  | dcomplex | t3,
|  | dcomplex | t4
| ) |  |
| inline

Definition at line 54 of file efm.hpp.

## Member Function Documentation

## ◆ diag()

static MatrixZ plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::diag | ( | dcomplex | f,
|  | dcomplex | b
| ) |  |
| inline static

Definition at line 56 of file efm.hpp.

## ◆ eye()

static MatrixZ plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::eye | ( |  | ) |
| inline static

Definition at line 55 of file efm.hpp.

## ◆ operator*() [1/2]

FieldZ plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::operator* | ( | const FieldZ & | v | ) |
| inline

Definition at line 60 of file efm.hpp.

## ◆ operator*() [2/2]

MatrixZ plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::operator* | ( | const MatrixZ & | T | ) |
| inline

Definition at line 57 of file efm.hpp.

## ◆ solve()

FieldZ plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::solve | ( | const FieldZ & | v | ) |
| inline

Definition at line 61 of file efm.hpp.

## Member Data Documentation

## ◆ bb

dcomplex plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::bb

Definition at line 52 of file efm.hpp.

## ◆ bf

dcomplex plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::bf

Definition at line 52 of file efm.hpp.

## ◆ fb

dcomplex plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::fb

Definition at line 52 of file efm.hpp.

## ◆ ff

dcomplex plask::optical::effective::EffectiveFrequencyCyl::MatrixZ::ff

Definition at line 52 of file efm.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/efm.hpp